# Method: accounts.dataSources.patch

- [HTTP request](https://developers.google.com/merchant/api/reference/rest/datasources_v1/accounts.dataSources/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/merchant/api/reference/rest/datasources_v1/accounts.dataSources/patch#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/merchant/api/reference/rest/datasources_v1/accounts.dataSources/patch#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/merchant/api/reference/rest/datasources_v1/accounts.dataSources/patch#body.request_body)
- [Response body](https://developers.google.com/merchant/api/reference/rest/datasources_v1/accounts.dataSources/patch#body.response_body)
- [Authorization scopes](https://developers.google.com/merchant/api/reference/rest/datasources_v1/accounts.dataSources/patch#body.aspect)
- [Try it!](https://developers.google.com/merchant/api/reference/rest/datasources_v1/accounts.dataSources/patch#try-it)

Updates the existing data source configuration. The fields that are set in the update mask but not provided in the resource will be deleted.

### HTTP request

`PATCH https://merchantapi.googleapis.com/datasources/v1/{dataSource.name=accounts/*/dataSources/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `dataSource.name` | `string` Required. Identifier. The name of the data source. Format: `accounts/{account}/dataSources/{datasource}` |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Required. The list of data source fields to be updated. Fields specified in the update mask without a value specified in the body will be deleted from the data source. Providing special "\*" value for full data source replacement is not supported. For example, If you insert `updateMask=displayName` in the request, it will only update the `displayName` leaving all other fields untouched. |

### Request body

The request body contains an instance of `https://developers.google.com/merchant/api/reference/rest/datasources_v1/accounts.dataSources#DataSource`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/merchant/api/reference/rest/datasources_v1/accounts.dataSources#DataSource`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).